/* que cada step ocupe toda la pagina */
.step {
  width: 100%;
}

.container-reserva-form {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  /* max-width: 400px; */
  width: 100%;
}

.steps-reserva-form {
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: space-between;
  position: relative;
}

.steps-reserva-form .circle-reserva-form {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 70px;
  width: 70px;
  color: #999;
  font-size: 22px;
  font-weight: 500;
  border-radius: 50%;
  background: #fff;
  border: 4px solid #e0e0e0;
  transition: all 200ms ease;
  transition-delay: 0s;
}

.steps-reserva-form .circle-reserva-form i {
  font-size: 30px;
}

.steps-reserva-form .circle-reserva-form.active {
  transition-delay: 100ms;
  border-color: #0212cc;
  color: #0212cc;
}

.steps-reserva-form .progress-bar-reserva-form {
  position: absolute;
  height: 4px;
  width: 100%;
  background: #e0e0e0;
  z-index: -1;
}

.progress-bar-reserva-form .indicator-reserva-form {
  position: absolute;
  height: 100%;
  width: 0%;
  background: #0212cc;
  transition: all 300ms ease;
}

.buttons-reserva-generic,
.buttons-reserva-form {
  display: flex;
  place-content: center;
  gap: 20px;
}

.buttons-reserva-generic button,
.buttons-reserva-form button {
  padding: 8px 25px;
  background: #0212cc;
  border: none;
  border-radius: 8px;
  color: #fff;
  font-size: 16px;
  font-weight: 400;
  cursor: pointer;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.05);
  transition: all 200ms linear;
  display: flex;
  gap: 10px;
  align-items: center;
  place-content: space-evenly;
  border: 2px solid transparent;
}

.buttons-reserva-generic button:hover,
.buttons-reserva-form button:active {
  transform: scale(0.97);
}

.buttons-reserva-generic button:disabled,
.buttons-reserva-form button:disabled {
  background: #87a5f8;
  cursor: not-allowed;
}

input.menu-cantidad-input {
  text-align: center;
}

.underline {
  text-decoration: underline;
}

.multi-step-titles h1 {
  font-size: 32px;
  font-weight: 700;
  color: #0212cc;
}

.title-reserva {
  padding: 15px !important;
}

.form-group-col-2 {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  place-content: between;
  gap: 20px;
}

.form-group {
  display: flex;
  flex-direction: column;
  text-align: start;
}

.form-group label {
  margin-bottom: 5px;
  font-size: smaller;
  text-transform: uppercase;
}

.form-group input[type="text"],
.form-group input[type="email"],
.form-group input[type="number"],
.form-group input[type="date"],
.form-group select,
.form-group textarea {
  flex: 2;
  padding: 5px;
  border: 2px solid #0212cb;
}

.form-group input[type="checkbox"],
.form-group input[type="radio"] {
  margin-right: 10px;
  margin-top: 7px;
  /* Alinea con la primera línea del texto */
}

/* Para checkbox y radio, el label va después del input */
.form-group.checkbox-group,
.form-group.radio-group {
  flex-direction: row-reverse;
  justify-content: flex-end;
}

.form-group.checkbox-group label,
.form-group.radio-group label {
  flex: none;
  margin-right: 0;
  margin-left: 10px;
}

/* Para textarea, coloca el label arriba */
.form-group.textarea-group {
  flex-direction: column;
}

.form-group.textarea-group label {
  margin-bottom: 5px;
}

.form-group.textarea-group textarea {
  width: 100%;
}

.form-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  /* Una columna para los labels y otra más ancha para los inputs */
  gap: 10px;
  width: 100%;
  max-width: 600px;
  /* Puedes ajustar este valor o quitarlo para que siempre ocupe el 100% */
  margin: 0 auto;
  /* Centrar el formulario */
}

.form-grid div {
  display: flex;
  flex-direction: column;
  grid-column: span 2;
}

.form-grid label {
  text-align: right;
  padding-right: 10px;
  align-self: center;
  /* Centrar verticalmente los labels */
}

.form-grid input {
  width: 100%;
  padding: 8px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.form-grid input[type="checkbox"] {
  transform: scale(1.5);
}

.form-grid input[type="number"] {
  transform: scale(1.1);
}

.container-hospedajes {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  padding: 30px;
}

.option {
  padding: 15px 0px;
  text-align: center;
  position: relative;
  cursor: pointer;
  transition: all 0.3s ease;
}

.option.disabled {
  cursor: not-allowed;
  color: #666;
  display: none;
}

.image-container {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  overflow: hidden;
  margin-bottom: 10px;
  margin-left: auto;
  margin-right: auto;
  /* position: relative; */
}

.image-container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.3s ease;
}

.image-container a {
  position: absolute;
  top: -10px;
  left: 50%;
  transform: translateX(-50%);
  border-radius: 50%;
  background-color: #0212cc;
  color: #fff;
  width: 40px;
  height: 40px;
  font-size: 1.5rem;
}

.image-container a i {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.check-container i {
  color: #0212cb;
  font-size: 100px;
  position: absolute;
  top: 0;
  height: 200px;
  width: 200px;
  display: none;
  align-items: center;
  place-content: center;
}

.option.selected .check-container i {
  display: flex;
}

.price {
  font-size: 24px;
  margin-bottom: 10px;
}

.title-hospedaje {
  font-weight: bold;
  margin-bottom: 10px;
  transition: color 0.3s ease;
}

.location {
  font-size: 14px;
  color: #888888;
  padding-top: 10px;
  padding-bottom: 10px;
  border-top: 1px #999999 solid;
  border-bottom: 1px #999999 solid;
  position: relative;
  margin-top: 30px;
  min-height: 60px;
}

.location i {
  position: absolute;
  top: -10px;
  left: 50%;
  transform: translateX(-50%);
  background-color: #fff;
  padding: 0 5px;
  transition: color 0.3s ease;
}

.option:hover .image-container img {
  transform: scale(1.1);
}

.option:hover .title-hospedaje,
.option:hover .location,
.option:hover p,
.option.selected .title-hospedaje,
.option.selected .location,
.option.selected p {
  color: #0212cc;
}

.option:hover .action-button-outline-small {
  border: 2px solid #0212cc;
  color: #0212cc;
}

.option:hover .image-container,
.option.selected .image-container {
  border: 4px solid blue;
}

.resume-item {
  padding: 15px;
  background-color: #fff;
  margin-top: 10px;
  margin-bottom: 10px;
}

#reserva-circuito-main {
  display: flex;
  justify-content: space-between;
  flex: 1;
}

#reserva-circuito-form {
  display: flex;
  flex-direction: column;
  width: 100%;
}

#reserva-circuito-cart {
  width: 30%;
  min-width: 300px;
  background-color: #f0f0f0;
  padding: 20px;
  box-sizing: border-box;
  color: #0212cc;
  background-color: #9999993d;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-image: linear-gradient(rgb(255 255 255 / 70%), rgb(255 255 255 / 70%)), url(../images/bg_home_lugares.png);
}

.multi-step-form {
  /* max-width: 600px; */
  margin: 0 auto;
  padding: 20px;
}

input[type="text"],
input[type="number"],
input[type="tel"],
input[type="email"],
input[type="date"],
textarea {
  width: 100%;
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 4px;
  font-size: 16px;
}

textarea {
  height: 100px;
}

button[type="submit"] {
  background-color: #4caf50;
  color: white;
  padding: 12px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-size: 16px;
}

button[type="submit"]:hover {
  background-color: #45a049;
}

.error {
  color: red;
  font-size: 14px;
  margin-top: 5px;
  display: block;
}

/* Estilos para Flatpickr */
.flatpickr-calendar {
  background-color: #fff;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.flatpickr-day.selected {
  background-color: #4caf50;
  border-color: #4caf50;
}

/* reserva-comida */

.reserva-comida-schedule {
  display: grid;
  grid-template-columns: 1fr 1fr 2fr 2fr;
  gap: 1px;
  background-color: #ccc;
  border: 1px solid #ccc;
  /* overflow-y: auto; */
}
.reserva-comida-header,
.reserva-comida-cell {
  background-color: white;
  padding: 10px 15px;
}
.reserva-comida-header {
  font-weight: bold;
}
.reserva-comida-restaurant-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.reserva-comida-info-icon {
  cursor: pointer;
  color: #666;
}
.movilidad-propia {
  display: flex;
  flex-direction: row;
  gap: 10px;
}
.reserva-comida-cell {
  display: flex;
  flex-direction: row;
  gap: 5px;
}
.reserva-comida-menu-type {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  cursor: pointer;
  border: 1px solid transparent;
  transition: all 0.3s ease;
  padding: 5px;
  flex-direction: column;
  gap: 5px;
}

/* second child span */
.reserva-comida-menu-type span:nth-child(2) {
  color: #0066cc;
}

.reserva-comida-menu-type:hover {
  background-color: #f0f0f0;
}
.reserva-comida-menu-selected {
  background-color: #e6f2ff;
  color: #0066cc;
  border: 1px solid #0066cc;
  min-width: 170px;
}
.reserva-comida-date-cell {
  background-color: #f9f9f9;
}

.text-sm {
  font-size: 14px;
  color: gray;
  font-weight: 100;
  padding: 3px 0px;
}

.hospedaje-view-gallery,
.restaurante-view-gallery,
.restaurante-view-menu {
  color: #0212cb !important;
  cursor: pointer;
  border-radius: 8px !important;
  width: 170px;
}
.hospedaje-view-gallery:hover,
.restaurante-view-gallery:hover,
.restaurante-view-menu:hover {
  color: white !important;
}

.button-eliminar-hospedaje,
.button-eliminar-restaurante {
  border: none;
  background-color: transparent;
  color: #ffffff !important;
  padding: 10px;
  width: auto;
  position: absolute;
  top: 0px;
  right: 0px;
}

.button-eliminar-hospedaje i,
.button-eliminar-restaurante i {
  font-size: 14px;
  color: #0212cb;
  cursor: pointer;
}

.button-reservar {
  background-color: #0212cb;
  color: white;
  padding: 10px;
  border: 2px solid #0212cb;
  border-radius: 4px;
  cursor: pointer;
  font-size: 16px;
  width: 100%;
  margin-top: 10px;
  transition: all 200ms linear;
}

.button-reservar.disabled {
  background-color: white;
  color: #0212cb !important;
  border: 2px solid #0212cb;
  cursor: none;
}

#preview-resumen-form:hover,
#next-reserva-form:hover,
#prev-reserva-form:hover,
.button-reservar:hover {
  background-color: white;
  color: #0212cb !important;
  border: 2px solid #0212cb;
}

.continuar-sin {
  width: 270px;
  background: white !important;
  color: #0212cc !important;
  border: 1px solid blue !important;
}

.continuar-sin:hover {
  background: #f0f1ff !important;
}

.resume-item.relative {
  position: relative;
}

/* Estilos para el popup */
.popup {
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  background-color: white;
  border: 1px solid #ddd;
  padding: 20px;
  z-index: 1001;
  width: 80%;
  max-width: 700px;
  display: none;
}

.popup-content {
  display: flex;
  flex-direction: column;
}

.popup-footer {
  display: flex;
  gap: 20px;
  place-content: end;
}

.popup-title h2 {
  font-size: 24px;
  font-weight: bold;
  color: #0212cc;
}

.popup-footer .confirm-menu:hover {
  background-color: white;
  color: #0212cb !important;
  border: 2px solid #0212cb;
}
.popup-footer .close-popup {
  /*  */
}

.popup-footer .close-popup:hover {
  background: #f0f1ff !important;
  border: 2px solid #0212cb;
  color: #0212cb !important;
}

.menu-option {
  margin-bottom: 10px;
  margin-top: 10px;
  border: 2px solid #0212cb;
  /* display: grid;
  align-items: center;
  place-content: center;
  grid-template-columns: 4fr 1fr; */
  padding-top: 10px;
  padding-bottom: 5px;
}

.menu-option:hover {
  background-color: #fbfcff;
}

.menu-precio-cantidad {
  margin: 0px 0px !important;
  display: flex;
  flex-direction: row;
  gap: 10px;
  align-items: center;
  place-content: center;
}

.close-popup {
  background-color: #007bff;
  color: white;
  border: none;
  padding: 10px;
  cursor: pointer;
}

/* Overlay (fondo negro transparente) */
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5); /* Negro semi-transparente */
  z-index: 1000; /* Debajo del popup pero encima del resto del contenido */
  display: none; /* Oculto por defecto */
}

.menu-selection {
  display: flex;
  gap: 10px;
  flex-direction: row;
  align-items: center;
  place-content: space-evenly;
  border-top: 1px solid #b9b9b9;
  padding-top: 10px;
  background: #e8e8e8;
  color: #0212cc;
  font-weight: bold;
}

.menu-selection-wrapper {
  /* display: flex;
  flex-direction: row; */
  place-content: space-around;
  gap: 10px;
}

.menu-cantidad-input {
  width: 80px !important;
}

.menu-description ul {
  margin-bottom: 10px;
}

.precio-menu {
  font-size: 16px;
  margin-bottom: 10px;
}

.precio-menu-valor {
  font-weight: bold;
  color: #000;
}

.grid-container {
  display: grid;
  gap: 20px;
  place-items: center;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
}

.title-circuito-container {
  position: relative;
}

.titulo-resumen {
  display: flex;
  align-items: center;
  place-content: space-between;
}

.button-ocultar-resumen {
  border: none;
  background: transparent;
  width: 32px;
}

.button-ocultar-resumen i {
  font-size: 28px;
  color: #000;
}

.button-mostrar-resumen {
  background: transparent;
  position: absolute;
  top: -10px;
  right: 10px;
  width: 20px;
}

.button-mostrar-resumen i {
  font-size: 28px;
  color: #000;
}

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
  .form-group {
    margin: 0px 0px;
  }
  .precio-menu {
    font-size: 14px;
    margin-top: 0px !important;
    margin-bottom: 0px !important;
  }
  .menu-precio-cantidad {
    flex-direction: column;
    gap: 0px;
  }
  #reserva-circuito-turistico {
    padding-bottom: 100px;
  }
  #reserva-circuito-main {
    flex-direction: column;
  }

  #reserva-circuito-cart {
    display: none;
  }
  #reserva-circuito-cart.cart-visible {
    width: 100%;
    display: block;
  }
  #reserva-circuito-form.cart-visible {
    display: none;
  }
  .title-circuito-container {
    width: 90%;
  }
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
  .grid-container {
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  }
  .form-group {
    margin: 20px 0px;
  }
  .menu-precio-cantidad {
    flex-direction: row;
    gap: 10px;
  }
  .precio-menu {
    font-size: 16px;
  }
  #reserva-circuito-main {
    flex-direction: row;
  }
  #reserva-circuito-cart {
    display: none;
  }
  #reserva-circuito-cart.cart-visible {
    width: 100%;
    display: block;
  }
  #reserva-circuito-form.cart-visible {
    display: none;
  }
  .title-circuito-container {
    width: 90%;
  }
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
  .mobile-resumen-footer {
    display: none;
  }
  #reserva-circuito-main {
    flex-direction: row;
  }

  #reserva-circuito-cart {
    display: block;
  }
  .button-ocultar-resumen {
    display: none;
  }
  .button-mostrar-resumen {
    display: none;
  }
  #reserva-circuito-cart.cart-visible {
    width: 30%;
    display: block;
  }
  #reserva-circuito-form.cart-visible {
    display: block;
  }
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
  .form-group {
    margin: 20px 100px;
  }
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
  /* .grid-container {
    grid-template-columns: repeat(3, 1fr);
  } */
  .form-group {
    margin: 20px 200px;
  }
}

/* Extra Extra large devices (large desktops, 1600px and up) */
@media only screen and (min-width: 1600px) {
  /* .grid-container {
    grid-template-columns: repeat(3, 1fr);
  } */
  .form-group {
    margin: 20px 330px;
  }
}
